VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::content::library::item::FileDefinitions Class Reference

Defines the type descriptors for the File API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | checksumInfo
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput

## Detailed Description

Defines the type descriptors for the File API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::FileDefinitions::checksumInfo`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("algorithm", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.content.library.item.FileTypes.ChecksumAlgorithm))));
                    fields.Add("checksum", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.file.checksum_info", fields, typeof(vmware.content.library.item.FileTypes.ChecksumInfo), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::FileDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_item_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item"));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::FileDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.FileDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::FileDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("checksum_info", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.FileDefinitions.checksumInfo.Value))));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("size", new vmware.vapi.bindings.type.IntegerType());
                    fields.Add("cached", new vmware.vapi.bindings.type.BooleanType());
                    fields.Add("version", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.content.library.item.file.info", fields, typeof(vmware.content.library.item.FileTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::content::library::item::FileDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("library_item_id", new vmware.vapi.bindings.type.IdType("com.vmware.content.library.Item"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::content::library::item::FileDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.content.library.item.FileDefinitions.info.Value)));
                })

The documentation for this class was generated from the following file:

- FileDefinitions.cs